ESB-2017.0618.4 - UPDATE [Appliance] F5 Products: Multiple vulnerabilities 2017-11-07

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                              ESB-2017.0618.4
                          tcpdump vulnerabilities
                              7 November 2017

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           F5 Products
Publisher:         F5 Networks
Operating System:  Network Appliance
Impact/Access:     Denial of Service        -- Remote with User Interaction
                   Access Confidential Data -- Remote/Unauthenticated      
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-5486 CVE-2017-5485 CVE-2017-5484
                   CVE-2017-5483 CVE-2017-5482 CVE-2017-5342
                   CVE-2017-5341 CVE-2017-5205 CVE-2017-5204
                   CVE-2017-5203 CVE-2017-5202 CVE-2016-8575
                   CVE-2016-8574 CVE-2016-7993 CVE-2016-7992
                   CVE-2016-7986 CVE-2016-7985 CVE-2016-7984
                   CVE-2016-7983 CVE-2016-7975 CVE-2016-7974
                   CVE-2016-7973 CVE-2016-7940 CVE-2016-7939
                   CVE-2016-7938 CVE-2016-7937 CVE-2016-7936
                   CVE-2016-7935 CVE-2016-7934 CVE-2016-7933
                   CVE-2016-7932 CVE-2016-7931 CVE-2016-7930
                   CVE-2016-7929 CVE-2016-7928 CVE-2016-7927
                   CVE-2016-7926 CVE-2016-7925 CVE-2016-7924
                   CVE-2016-7923 CVE-2016-7922 

Reference:         ESB-2017.0480
                   ESB-2017.0255

Original Bulletin: 
   https://support.f5.com/csp/article/K72403108
   https://support.f5.com/csp/article/K77384526
   https://support.f5.com/csp/article/K49144112
   https://support.f5.com/csp/article/K39512927
   https://support.f5.com/csp/article/K94010578
   https://support.f5.com/csp/article/K31997425
   https://support.f5.com/csp/article/K94778122
   https://support.f5.com/csp/article/K04225025
   https://support.f5.com/csp/article/K55129614

Comment: This bulletin contains nine (9) F5 Networks security advisories.

Revision History:  November 7 2017: Update to K94778122
                   November 2 2017: Update to K04225025 and K77384526
                   November 1 2017: Update to K31997425 and K39512927
                   March    9 2017: Initial Release

- --------------------------BEGIN INCLUDED TEXT--------------------

K72403108: tcpdump vulnerabilities CVE-2016-7926, CVE-2016-7932, and 
CVE-2016-7938

Security Advisory

Original Publication Date: Mar 07, 2017

Updated Date: Mar 07, 2017

Applies to (see versions):

Security Advisory Description

CVE-2016-7926	
The Ethernet parser in tcpdump before 4.9.0 has a buffer overflow in 
print-ether.c:ethertype_print().

CVE-2016-7932	
The PIM parser in tcpdump before 4.9.0 has a buffer overflow in 
print-pim.c:pimv2_check_checksum().

CVE-2016-7938	
The ZeroMQ parser in tcpdump before 4.9.0 has an integer overflow in 
print-zeromq.c:zmtp1_print_frame().

Impact

An attacker can gain access to sensitive information. An attacker can also 
cause a denial of service (DoS) via a crafted pcap file or by sending 
specially crafted packets to the network segment where tcpdump is actively 
capturing network traffic. The tcpdump program does not use the protocol 
decoding subsystem, and is therefore not affected by these vulnerabilities 
when using the -w option to write raw packets to a pcap file for offline 
examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), 
and ID 648898 (F5 iWorkflow) to this vulnerability.

To determine if your release is known to be vulnerable, the components or 
features that are affected by the vulnerability, and for information about 
releases or hotfixes that address the vulnerability, refer to the following 
table:

Product			Versions known to be 	Versions known to be not 	Severity	Vulnerable component or 
			vulnerable		vulnerable					feature

BIG-IP LTM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP AAM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP AFM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP Analytics	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP APM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP ASM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP DNS		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2	

BIG-IP Edge Gateway	11.2.1			None				High		tcpdump

BIG-IP GTM		11.4.0 - 11.6.1		None				High		tcpdump
			11.2.1	

BIG-IP Link Controller	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP PEM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP PSM		11.4.0 - 11.4.1		None				High		tcpdump

BIG-IP WebAccelerator	11.2.1			None				High		tcpdump

BIG-IP WebSafe		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.6.0 - 11.6.1	

ARX			None			6.2.0 - 6.4.0			Not vulnerable	None

Enterprise Manager	None			3.1.1				Not vulnerable	None

BIG-IQ Cloud		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ Device		4.2.0 - 4.5.0		None				High		tcpdump

BIG-IQ Security		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ ADC		4.5.0			None				High		tcpdump

BIG-IQ Centralized 	5.0.0 - 5.1.0		None				High		tcpdump
Management		4.6.0	

BIG-IQ Cloud and 	1.0.0			None				High		tcpdump
Orchestration	

F5 iWorkflow		2.0.0 - 2.1.0		None				High		tcpdump

LineRate		None			2.5.0 - 2.6.2			Not vulnerable	None

Traffix SDC		None			5.0.0 - 5.1.0			Not vulnerable	None
						4.0.0 - 4.4.0	

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable 
column, you can eliminate this vulnerability by upgrading to a version 
listed in the Versions known to be not vulnerable column. If the table lists 
only an older version than what you are currently running, or does not list 
a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should 
understand the BIG-IQ product offering name changes. For more information, 
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow 
systems.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more 
information, refer to K411: Overview of packet tracing with the tcpdump 
utility.

Impact of action: Depending on the method used to gather the packet capture 
and the amount of active traffic at the time the capture is taken, the 
capture file size can increase quickly. For more information, refer to K6546: 
Recommended methods and limitations for running tcpdump on a BIG-IP system.
Supplemental Information

K9970: Subscribing to email notifications regarding F5 products
K9957: Creating a custom RSS feed to view new and updated documents
K4602: Overview of the F5 security vulnerability response policy
K4918: Overview of the F5 critical issue hotfix policy

=======================================================================


K77384526: tcpdump vulnerabilities CVE-2016-7922, CVE-2016-7923, CVE-2016-7924,
CVE-2016-7925, and CVE-2016-7927

Security Advisory

Original Publication Date: Mar 08, 2017
Updated Date: Nov 01, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0,
      4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
      11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      3.1.1
  o Product: F5 iWorkflow
      2.3.0, 2.2.0, 2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      2.6.2, 2.6.1, 2.6.0, 2.5.3, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      1.0.0
  o Product: Traffix SDC
      5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      1.0.0

Security Advisory Description

  o CVE-2016-7922

    The AH parser in tcpdump before 4.9.0 has a buffer overflow in
    print-ah.c:ah_print().

  o CVE-2016-7923

    The ARP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-arp.c:arp_print().

  o CVE-2016-7924

    The ATM parser in tcpdump before 4.9.0 has a buffer overflow in
    print-atm.c:oam_print().

  o CVE-2016-7925

    The compressed SLIP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-sl.c:sl_if_print().

  o CVE-2016-7927

    The IEEE 802.11 parser in tcpdump before 4.9.0 has a buffer overflow in
    print-802_11.c:ieee802_11_radio_print().

Impact

An attacker can gain access to sensitive information. An attacker can also
cause a denial of service (DoS) via a crafted pcap file or by sending specially
crafted packets to the network segment where tcpdump is actively capturing
network traffic. The tcpdump program does not use the protocol decoding
subsystem, and is therefore not affected by these vulnerabilities when using
the -w option to write raw packets to a pcap file for offline examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), ID
644072 (Enterprise Manager), and ID 648898 (F5 iWorkflow) to this
vulnerability. Additionally, BIG-IP iHealth may list Heuristic H77384526 on the
Diagnostics > Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP LTM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AAM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AFM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP         |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Analytics      |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP APM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP ASM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |13.0.0          |None             |High      |tcpdump         |
|               |12.0.0 - 12.1.2 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |11.2.1          |None             |High      |tcpdump         |
|Gateway        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |11.4.0 - 11.6.1 |11.6.2           |High      |tcpdump         |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP Link    |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Controller     |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP PEM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |11.4.0 - 11.4.1 |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |11.2.1          |None             |High      |tcpdump         |
|WebAccelerator |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP WebSafe |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.6.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |3.1.1           |None             |Medium    |tcpdump         |
|Manager        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |4.2.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |4.5.0           |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |5.0.0 - 5.1.0   |                 |          |                |
|Centralized    |4.6.0           |None             |High      |tcpdump         |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |          |                |
|and            |1.0.0           |None             |High      |tcpdump         |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |2.0.0 - 2.1.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Traffix SDC    |None            |5.0.0 - 5.1.0    |Not       |None            |
|               |                |4.0.0 - 4.4.0    |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more
information, refer to K411: Overview of packet tracing with the tcpdump utility
.

Impact of action: Depending on the method used to gather the packet capture and
the amount of active traffic at the time the capture is taken, the capture file
size can increase quickly. For more information, refer to K6546: Recommended
methods and limitations for running tcpdump on a BIG-IP system.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy


==========================================================================

K94778122: tcpdump vulnerabilities CVE-2016-7985, CVE-2016-7992, CVE-2016-7993,
CVE-2016-8574, and CVE-2016-8575

Security Advisory

Original Publication Date: Mar 08, 2017
Updated Date: Nov 02, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
      11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      3.1.1
  o Product: F5 iWorkflow
      2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      2.6.2, 2.6.1, 2.6.0, 2.5.3, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      1.0.0
  o Product: Traffix SDC
      5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      1.0.0

Security Advisory Description

  o CVE-2016-7985

    The CALM FAST parser in tcpdump before 4.9.0 has a buffer overflow in
    print-calm-fast.c:calm_fast_print().

  o CVE-2016-7992

    The Classical IP over ATM parser in tcpdump before 4.9.0 has a buffer
    overflow in print-cip.c:cip_if_print().

  o CVE-2016-7993

    A bug in util-print.c:relts_print() in tcpdump before 4.9.0 could cause a
    buffer overflow in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP,
    lightweight resolver protocol, PIM).

  o CVE-2016-8574

    The FRF.15 parser in tcpdump before 4.9.0 has a buffer overflow in
    print-fr.c:frf15_print().

  o CVE-2016-8575

    The Q.933 parser in tcpdump before 4.9.0 has a buffer overflow in
    print-fr.c:q933_print(), a different vulnerability than CVE-2017-5482.

Impact

An attacker can gain access to sensitive information. An attacker can also
cause a denial of service (DoS) by way of a crafted pcap file or by sending
specially crafted packets to the network segment where tcpdump is actively
capturing network traffic. The tcpdump program does not use the protocol
decoding subsystem, and is therefore not affected by these vulnerabilities when
using the -w option to write raw packets to a pcap file for offline
examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), ID
644072 (Enterprise Manager), and ID 648898 (F5 iWorkflow) to this
vulnerability. Additionally, BIG-IP iHealth may list Heuristic H94778122 on the
Diagnostics > Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP LTM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AAM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AFM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP         |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Analytics      |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP APM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP ASM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |13.0.0          |None             |High      |tcpdump         |
|               |12.0.0 - 12.1.2 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |11.2.1          |None             |High      |tcpdump         |
|Gateway        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |11.4.0 - 11.6.1 |11.6.2           |High      |tcpdump         |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP Link    |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Controller     |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP PEM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |11.4.0 - 11.4.1 |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |11.2.1          |None             |High      |tcpdump         |
|WebAccelerator |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP WebSafe |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.6.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |3.1.1           |None             |Medium    |tcpdump         |
|Manager        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |4.2.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |4.5.0           |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |5.0.0 - 5.1.0   |                 |          |                |
|Centralized    |4.6.0           |None             |High      |tcpdump         |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |          |                |
|and            |1.0.0           |None             |High      |tcpdump         |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |2.0.0 - 2.1.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Traffix SDC    |None            |5.0.0 - 5.1.0    |Not       |None            |
|               |                |4.0.0 - 4.4.0    |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more
information, refer to K411: Overview of packet tracing with the tcpdump utility
.

Impact of action: Depending on the method used to gather the packet capture and
the amount of active traffic at the time the capture is taken, the capture file
size can increase quickly. For more information, refer to K6546: Recommended
methods and limitations for running tcpdump on a BIG-IP system.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

========================================================================

K39512927: tcpdump vulnerabilities CVE-2016-7928, CVE-2016-7929, CVE-2016-7930,
CVE-2016-7931, and CVE-2016-7933

Security Advisory
 
Original Publication Date: Mar 08, 2017
Updated Date: Oct 31, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
      11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      3.1.1
  o Product: F5 iWorkflow
      2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      2.6.2, 2.6.1, 2.6.0, 2.5.3, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      1.0.0
  o Product: Traffix SDC
      5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      1.0.0

Security Advisory Description

  o CVE-2016-7928

    The IPComp parser in tcpdump before 4.9.0 has a buffer overflow in
    print-ipcomp.c:ipcomp_print().

  o CVE-2016-7929

    The Juniper PPPoE ATM parser in tcpdump before 4.9.0 has a buffer overflow
    in print-juniper.c:juniper_parse_header().

  o CVE-2016-7930

    The LLC/SNAP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-llc.c:llc_print().

  o CVE-2016-7931

    The MPLS parser in tcpdump before 4.9.0 has a buffer overflow in
    print-mpls.c:mpls_print().

  o CVE-2016-7933

    The PPP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-ppp.c:ppp_hdlc_if_print().

Impact

An attacker can gain access to sensitive information. An attacker can also
cause a denial of service (DoS) via a crafted pcap file or by sending specially
crafted packets to the network segment where tcpdump is actively capturing
network traffic. The tcpdump program does not use the protocol decoding
subsystem, and is therefore not affected by these vulnerabilities when using
the -w option to write raw packets to a pcap file for offline examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), ID
644072 (Enterprise Manager), and ID 648898 (F5 iWorkflow) to this
vulnerability. Additionally, BIG-IP iHealth may list Heuristic H39512927 on the
Diagnostics > Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP LTM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AAM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AFM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP         |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Analytics      |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP APM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP ASM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |13.0.0          |None             |High      |tcpdump         |
|               |12.0.0 - 12.1.2 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |11.2.1          |None             |High      |tcpdump         |
|Gateway        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |11.4.0 - 11.6.1 |11.6.2           |High      |tcpdump         |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP Link    |12.0.0 - 12.1.2 |None             |High      |tcpdump         |
|Controller     |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP PEM     |12.0.0 - 12.1.2 |None             |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |11.4.0 - 11.4.1 |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |11.2.1          |None             |High      |tcpdump         |
|WebAccelerator |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP WebSafe |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.6.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |3.1.1           |None             |Medium    |tcpdump         |
|Manager        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |4.2.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |4.5.0           |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |5.0.0 - 5.1.0   |                 |          |                |
|Centralized    |4.6.0           |None             |High      |tcpdump         |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |          |                |
|and            |1.0.0           |None             |High      |tcpdump         |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |2.0.0 - 2.1.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Traffix SDC    |None            |5.0.0 - 5.1.0    |Not       |None            |
|               |                |4.0.0 - 4.4.0    |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more
information, refer to K411: Overview of packet tracing with the tcpdump utility
.

Impact of action: Depending on the method used to gather the packet capture and
the amount of active traffic at the time the capture is taken, the capture file
size can increase quickly. For more information, refer to K6546: Recommended
methods and limitations for running tcpdump on a BIG-IP system.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

=============================================================================

K94010578: tcpdump vulnerabilities CVE-2016-7940, CVE-2016-7973, CVE-2016-7974, 
CVE-2016-7983, and CVE-2016-7984

Security Advisory

Original Publication Date: Mar 07, 2017
Updated Date: Mar 07, 2017
Applies to (see versions):
Security Advisory Description

CVE-2016-7940	
The STP parser in tcpdump before 4.9.0 has a buffer overflow in 
print-stp.c, multiple functions.
    
CVE-2016-7973	
The AppleTalk parser in tcpdump before 4.9.0 has a buffer overflow in 
print-atalk.c, multiple functions.
    
CVE-2016-7974	
The IP parser in tcpdump before 4.9.0 has a buffer overflow in 
print-ip.c, multiple functions.
    
CVE-2016-7983	
The BOOTP parser in tcpdump before 4.9.0 has a buffer overflow in 
print-bootp.c:bootp_print().
    
CVE-2016-7984	
The TFTP parser in tcpdump before 4.9.0 has a buffer overflow in 
print-tftp.c:tftp_print().

Impact

An attacker can gain access to sensitive information. An attacker can also 
cause a denial of service (DoS) via a crafted pcap file or by sending 
specially crafted packets to the network segment where tcpdump is actively 
capturing network traffic. The tcpdump program does not use the protocol 
decoding subsystem, and is therefore not affected by these vulnerabilities 
when using the -w option to write raw packets to a pcap file for offline 
examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), 
and ID 648898 (F5 iWorkflow) to this vulnerability.

To determine if your release is known to be vulnerable, the components or 
features that are affected by the vulnerability, and for information about 
releases or hotfixes that address the vulnerability, refer to the following 
table:

Product			Versions known to be 	Versions known to be not 	Severity	Vulnerable component or 
			vulnerable		vulnerable					feature

BIG-IP LTM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP AAM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP AFM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP Analytics	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP APM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP ASM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP DNS		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2	

BIG-IP Edge Gateway	11.2.1			None				High		tcpdump

BIG-IP GTM		11.4.0 - 11.6.1		None				High		tcpdump
			11.2.1	

BIG-IP Link Controller	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP PEM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP PSM		11.4.0 - 11.4.1		None				High		tcpdump

BIG-IP WebAccelerator	11.2.1			None				High		tcpdump

BIG-IP WebSafe		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.6.0 - 11.6.1	

ARX			None			6.2.0 - 6.4.0			Not vulnerable	None

Enterprise Manager	3.1.1			None				Medium		tcpdump

BIG-IQ Cloud		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ Device		4.2.0 - 4.5.0		None				High		tcpdump

BIG-IQ Security		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ ADC		4.5.0			None				High		tcpdump

BIG-IQ Centralized 	5.0.0 - 5.1.0		None				High		tcpdump
Management		4.6.0	

BIG-IQ Cloud and 	1.0.0			None				High		tcpdump
Orchestration	

F5 iWorkflow		2.0.0 - 2.1.0		None				High		tcpdump

LineRate		None			2.5.0 - 2.6.2			Not vulnerable	None

Traffix SDC		None			5.0.0 - 5.1.0			Not vulnerable	None
						4.0.0 - 4.4.0	

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable 
column, you can eliminate this vulnerability by upgrading to a version 
listed in the Versions known to be not vulnerable column. If the table lists 
only an older version than what you are currently running, or does not list 
a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should 
understand the BIG-IQ product offering name changes. For more information, 
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow 
systems.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more 
information, refer to K411: Overview of packet tracing with the tcpdump 
utility.

Impact of action: Depending on the method used to gather the packet capture 
and the amount of active traffic at the time the capture is taken, the 
capture file size can increase quickly. For more information, refer to K6546: 
Recommended methods and limitations for running tcpdump on a BIG-IP system.
Supplemental Information

K9970: Subscribing to email notifications regarding F5 products
K9957: Creating a custom RSS feed to view new and updated documents
K4602: Overview of the F5 security vulnerability response policy
K4918: Overview of the F5 critical issue hotfix policy

============================================================================

K31997425: tcpdump vulnerabilities CVE-2017-5482, CVE-2017-5483, CVE-2017-5484,
CVE-2017-5485, and CVE-2017-5486

Security Advisory

Original Publication Date: Mar 08, 2017
Updated Date: Nov 01, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      ? 5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0,
        4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      ? 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      ? 3.1.1
  o Product: F5 iWorkflow
      ? 2.3.0, 2.2.0, 2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      ? 2.6.2, 2.6.1, 2.6.0, 2.5.3, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      ? 6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      ? 1.0.0
  o Product: Traffix SDC
      ? 5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      ? 1.0.0

Security Advisory Description

  o CVE-2017-5482

    The Q.933 parser in tcpdump before 4.9.0 has a buffer overflow in
    print-fr.c:q933_print(), a different vulnerability than CVE-2016-8575.

  o CVE-2017-5483

    The SNMP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-snmp.c:asn1_parse().

  o CVE-2017-5484

    The ATM parser in tcpdump before 4.9.0 has a buffer overflow in
    print-atm.c:sig_print().

  o CVE-2017-5485

    The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in
    addrtoname.c:lookup_nsap().

  o CVE-2017-5486

    The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in
    print-isoclns.c:clnp_print().

Impact

An attacker can gain access to sensitive information. An attacker can also
cause a denial of service (DoS) via a crafted pcap file or by sending specially
crafted packets to the network segment where tcpdump is actively capturing
network traffic. The tcpdump program does not use the protocol decoding
subsystem, and is therefore not affected by these vulnerabilities when using
the -w option to write raw packets to a pcap file for offline examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), ID
644072 (Enterprise Manager), and ID 648898 (F5 iWorkflow) to this
vulnerability. Additionally, BIG-IP iHealth may list Heuristic H31997425 on the
Diagnostics > Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP LTM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AAM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AFM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP         |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Analytics      |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP APM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP ASM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |13.0.0          |None             |High      |tcpdump         |
|               |12.0.0 - 12.1.2 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |11.2.1          |None             |High      |tcpdump         |
|Gateway        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |11.4.0 - 11.6.1 |11.6.2           |High      |tcpdump         |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP Link    |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Controller     |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP PEM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |11.4.0 - 11.4.1 |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |11.2.1          |None             |High      |tcpdump         |
|WebAccelerator |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP WebSafe |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.6.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |3.1.1           |None             |Medium    |tcpdump         |
|Manager        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |4.2.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |4.5.0           |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |5.0.0 - 5.3.0   |                 |          |                |
|Centralized    |4.6.0           |None             |High      |tcpdump         |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |          |                |
|and            |1.0.0           |None             |High      |tcpdump         |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |2.0.0 - 2.3.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Traffix SDC    |None            |5.0.0 - 5.1.0    |Not       |None            |
|               |                |4.0.0 - 4.4.0    |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more
information, refer to K411: Overview of packet tracing with the tcpdump utility
.

Impact of action: Depending on the method used to gather the packet capture and
the amount of active traffic at the time the capture is taken, the capture file
size can increase quickly. For more information, refer to K6546: Recommended
methods and limitations for running tcpdump on a BIG-IP system.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

============================================================================


K94778122: tcpdump vulnerabilities CVE-2016-7985, CVE-2016-7992, CVE-2016-7993, 
CVE-2016-8574, and CVE-2016-8575

Security Advisory

Original Publication Date: Mar 07, 2017
Updated Date: Mar 07, 2017
Applies to (see versions):
Security Advisory Description

CVE-2016-7985	
The CALM FAST parser in tcpdump before 4.9.0 has a buffer overflow in 
print-calm-fast.c:calm_fast_print().
    
CVE-2016-7992	
The Classical IP over ATM parser in tcpdump before 4.9.0 has a buffer overflow 
in print-cip.c:cip_if_print().
    
CVE-2016-7993	
A bug in util-print.c:relts_print() in tcpdump before 4.9.0 could cause a 
buffer overflow in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP, 
lightweight resolver protocol, PIM).
    
CVE-2016-8574	
The FRF.15 parser in tcpdump before 4.9.0 has a buffer overflow in 
print-fr.c:frf15_print().
    
CVE-2016-8575	
The Q.933 parser in tcpdump before 4.9.0 has a buffer overflow in 
print-fr.c:q933_print(), a different vulnerability than CVE-2017-5482.

Impact

An attacker can gain access to sensitive information. An attacker can also 
cause a denial of service (DoS) via a crafted pcap file or by sending 
specially crafted packets to the network segment where tcpdump is actively 
capturing network traffic. The tcpdump program does not use the protocol 
decoding subsystem, and is therefore not affected by these vulnerabilities 
when using the -w option to write raw packets to a pcap file for offline 
examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), 
and ID 648898 (F5 iWorkflow) to this vulnerability.

To determine if your release is known to be vulnerable, the components or 
features that are affected by the vulnerability, and for information about 
releases or hotfixes that address the vulnerability, refer to the following 
table:

Product			Versions known to be 	Versions known to be not 	Severity	Vulnerable component or 
			vulnerable		vulnerable					feature

BIG-IP LTM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP AAM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP AFM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP Analytics	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP APM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP ASM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP DNS		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2	

BIG-IP Edge Gateway	11.2.1			None				High		tcpdump

BIG-IP GTM		11.4.0 - 11.6.1		None				High		tcpdump
			11.2.1	

BIG-IP Link Controller	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP PEM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP PSM		11.4.0 - 11.4.1		None				High		tcpdump

BIG-IP WebAccelerator	11.2.1			None				High		tcpdump

BIG-IP WebSafe		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.6.0 - 11.6.1	

ARX			None			6.2.0 - 6.4.0			Not vulnerable	None

Enterprise Manager	3.1.1			None				Medium		tcpdump

BIG-IQ Cloud		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ Device		4.2.0 - 4.5.0		None				High		tcpdump

BIG-IQ Security		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ ADC		4.5.0			None				High		tcpdump

BIG-IQ Centralized 	5.0.0 - 5.1.0		None				High		tcpdump
Management		4.6.0	

BIG-IQ Cloud and 	1.0.0			None				High		tcpdump
Orchestration	

F5 iWorkflow		2.0.0 - 2.1.0		None				High		tcpdump

LineRate		None			2.5.0 - 2.6.2			Not vulnerable	None

Traffix SDC		None			5.0.0 - 5.1.0			Not vulnerable	None
						4.0.0 - 4.4.0	

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable 
column, you can eliminate this vulnerability by upgrading to a version 
listed in the Versions known to be not vulnerable column. If the table lists 
only an older version than what you are currently running, or does not list 
a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should 
understand the BIG-IQ product offering name changes. For more information, 
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow 
systems.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more 
information, refer to K411: Overview of packet tracing with the tcpdump 
utility.

Impact of action: Depending on the method used to gather the packet capture 
and the amount of active traffic at the time the capture is taken, the 
capture file size can increase quickly. For more information, refer to K6546: 
Recommended methods and limitations for running tcpdump on a BIG-IP system.
Supplemental Information

K9970: Subscribing to email notifications regarding F5 products
K9957: Creating a custom RSS feed to view new and updated documents
K4602: Overview of the F5 security vulnerability response policy
K4918: Overview of the F5 critical issue hotfix policy

============================================================================

K04225025: tcpdump vulnerabilities CVE-2017-5202, CVE-2017-5203, CVE-2017-5204,
CVE-2017-5205, and CVE-2017-5342

Security Advisory

Original Publication Date: Mar 08, 2017
Updated Date: Nov 01, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
      11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      3.1.1
  o Product: F5 iWorkflow
      2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      2.6.2, 2.6.1, 2.6.0, 2.5.3, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      1.0.0
  o Product: Traffix SDC
      5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      1.0.0

Security Advisory Description

  o CVE-2017-5202

    The ISO CLNS parser in tcpdump before 4.9.0 has a buffer overflow in
    print-isoclns.c:clnp_print().

  o CVE-2017-5203

    The BOOTP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-bootp.c:bootp_print().

  o CVE-2017-5204

    The IPv6 parser in tcpdump before 4.9.0 has a buffer overflow in
    print-ip6.c:ip6_print().

  o CVE-2017-5205

    The ISAKMP parser in tcpdump before 4.9.0 has a buffer overflow in
    print-isakmp.c:ikev2_e_print().

  o CVE-2017-5342

    In tcpdump before 4.9.0, a bug in multiple protocol parsers (Geneve, GRE,
    NSH, OTV, VXLAN and VXLAN GPE) could cause a buffer overflow in
    print-ether.c:ether_print().

Impact

An attacker can gain access to sensitive information. An attacker can also
cause a denial of service (DoS) via a crafted pcap file or by sending specially
crafted packets to the network segment where tcpdump is actively capturing
network traffic. The tcpdump program does not use the protocol decoding
subsystem, and is therefore not affected by these vulnerabilities when using
the -w option to write raw packets to a pcap file for offline examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), ID
644072 (Enterprise Manager), and ID 648898 (F5 iWorkflow) to this
vulnerability. Additionally, BIG-IP iHealth may list Heuristic H04225025 on the
Diagnostics > Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP LTM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AAM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP AFM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP         |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Analytics      |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP APM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP ASM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |13.0.0          |None             |High      |tcpdump         |
|               |12.0.0 - 12.1.2 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |11.2.1          |None             |High      |tcpdump         |
|Gateway        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |11.4.0 - 11.6.1 |11.6.2           |High      |tcpdump         |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP Link    |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|Controller     |11.4.0 - 11.6.1 |                 |          |                |
|               |11.2.1          |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP PEM     |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.4.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |11.4.0 - 11.4.1 |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |11.2.1          |None             |High      |tcpdump         |
|WebAccelerator |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |13.0.0          |                 |          |                |
|BIG-IP WebSafe |12.0.0 - 12.1.2 |11.6.2           |High      |tcpdump         |
|               |11.6.0 - 11.6.1 |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |3.1.1           |None             |Medium    |tcpdump         |
|Manager        |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |4.2.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|4.0.0 - 4.5.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |4.5.0           |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |5.0.0 - 5.1.0   |                 |          |                |
|Centralized    |4.6.0           |None             |High      |tcpdump         |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |          |                |
|and            |1.0.0           |None             |High      |tcpdump         |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |2.0.0 - 2.1.0   |None             |High      |tcpdump         |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Traffix SDC    |None            |5.0.0 - 5.1.0    |Not       |None            |
|               |                |4.0.0 - 4.4.0    |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more
information, refer to K411: Overview of packet tracing with the tcpdump utility
.

Impact of action: Depending on the method used to gather the packet capture and
the amount of active traffic at the time the capture is taken, the capture file
size can increase quickly. For more information, refer to K6546: Recommended
methods and limitations for running tcpdump on a BIG-IP system.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

============================================================================


K55129614: tcpdump vulnerabilities CVE-2016-7975, CVE-2016-7986, and 
CVE-2017-5341

Security Advisory

Original Publication Date: Mar 07, 2017
Updated Date: Mar 07, 2017
Applies to (see versions):
Security Advisory Description

CVE-2016-7975	
The TCP parser in tcpdump before 4.9.0 has a buffer overflow in 
print-tcp.c:tcp_print().
    
CVE-2016-7986	
The GeoNetworking parser in tcpdump before 4.9.0 has a buffer overflow in 
print-geonet.c, multiple functions.
    
CVE-2017-5341	
The OTV parser in tcpdump before 4.9.0 has a buffer overflow in 
print-otv.c:otv_print().

Impact

An attacker can gain access to sensitive information. An attacker can also 
cause a denial of service (DoS) via a crafted pcap file or by sending 
specially crafted packets to the network segment where tcpdump is actively 
capturing network traffic. The tcpdump program does not use the protocol 
decoding subsystem, and is therefore not affected by these vulnerabilities 
when using the -w option to write raw packets to a pcap file for offline 
examination.

Security Advisory Status

F5 Product Development has assigned ID 644904 (BIG-IP), ID 648098 (BIG-IQ), 
and ID 648898 (F5 iWorkflow) to this vulnerability.

To determine if your release is known to be vulnerable, the components or 
features that are affected by the vulnerability, and for information about 
releases or hotfixes that address the vulnerability, refer to the following 
table:

Product			Versions known to be 	Versions known to be not 	Severity	Vulnerable component or 
			vulnerable		vulnerable					feature

BIG-IP LTM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP AAM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP AFM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP Analytics	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP APM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP ASM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP DNS		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2	

BIG-IP Edge Gateway	11.2.1			None				High		tcpdump

BIG-IP GTM		11.4.0 - 11.6.1		None				High		tcpdump
			11.2.1	

BIG-IP Link Controller	13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1
			11.2.1	

BIG-IP PEM		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.4.0 - 11.6.1	

BIG-IP PSM		11.4.0 - 11.4.1		None				High		tcpdump

BIG-IP WebAccelerator	11.2.1			None				High		tcpdump

BIG-IP WebSafe		13.0.0			None				High		tcpdump
			12.0.0 - 12.1.2
			11.6.0 - 11.6.1	

ARX			None			6.2.0 - 6.4.0			Not vulnerable	None

Enterprise Manager	None			3.1.1				Not vulnerable	None

BIG-IQ Cloud		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ Device		4.2.0 - 4.5.0		None				High		tcpdump

BIG-IQ Security		4.0.0 - 4.5.0		None				High		tcpdump

BIG-IQ ADC		4.5.0			None				High		tcpdump

BIG-IQ Centralized 	5.0.0 - 5.1.0		None				High		tcpdump
Management		4.6.0	

BIG-IQ Cloud and 	1.0.0			None				High		tcpdump
Orchestration	

F5 iWorkflow		2.0.0 - 2.1.0		None				High		tcpdump

LineRate		None			2.5.0 - 2.6.2			Not vulnerable	None

Traffix SDC		None			5.0.0 - 5.1.0			Not vulnerable	None
						4.0.0 - 4.4.0	

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable 
column, you can eliminate this vulnerability by upgrading to a version 
listed in the Versions known to be not vulnerable column. If the table lists 
only an older version than what you are currently running, or does not list 
a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should 
understand the BIG-IQ product offering name changes. For more information, 
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow 
systems.

Mitigation

To mitigate this vulnerability, you can invoke the -w option in your tcpdump 
syntax to write raw packets to a pcap file for offline examination. For more 
information, refer to K411: Overview of packet tracing with the tcpdump 
utility.

Impact of action: Depending on the method used to gather the packet capture 
and the amount of active traffic at the time the capture is taken, the 
capture file size can increase quickly. For more information, refer to K6546: 
Recommended methods and limitations for running tcpdump on a BIG-IP system.
Supplemental Information

K9970: Subscribing to email notifications regarding F5 products
K9957: Creating a custom RSS feed to view new and updated documents
K4602: Overview of the F5 security vulnerability response policy
K4918: Overview of the F5 critical issue hotfix policy

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWgFN94x+lLeg9Ub1AQj2kQ/+LXZgmRBYwJ97Jt6uZSS7xDxDfAtqBIs0
yTLZJeYTTt6aH8JNmQgXTWnE1fDsjUciFas8J5KrJzkpOWg8np9iDL8zPnNgMutd
Ql17l+fA/Eefnncv98jjLnSmolxOfGZIi5fbIVfp426pFigLEWMt2AFjI6vG14cR
VPnyiwhczK1BK2cvvIfh82IgXqJj7riU4s+/8quW+KXoUBcIKTcLtm0nQ254ZAeb
3S1hc588c4LvOmOjUywTR58OOtoYJeTFKF4wRrda1gBxyUg7J0NLgMCgpEs9jPzI
2Qwd0OTOHjogazVuFt+BNdCkJeif6v0d70KfbP94Qt5oc1M1ZmsTHJJI9P5ym0Iq
U5DJ8OCWsWKYx9XeI9TBRPqZp3SJI15ssK9+VFA8gCc5FgISlaY+QisuM1GX10HQ
ZpOAK32rZY9VaHxKxM+NnaMXSQpnDBQPu3utwFKVSDtuclio+5/MldSZca7pMrbP
RTmbomehCjUb07zeQDivABrMcTbgaLWx3WTgYtVatGwt30hWU3UfXoQqzSDRgbYZ
hKJQz8SHc2Im0hsQQBmGJx0dSN3X8kNV1g8nfxv/BPvFwoGUS69DXf/SytysXTcG
iJoh+/1HEYK6voadK9EbYIRuYWCMCChWzJPXxSlh0GQY8/zMA/gN3x3g64DHFbNu
lKr0pvPgb3g=
=Bzvf
-----END PGP SIGNATURE-----

« Back to bulletins